import bb.cascades 1.2

Container {
    //Dock layout to support the addition of the dogEar.
    attachedObjects: [
        TextStyleDefinition {
            id: titleText            
            fontSize: FontSize.XSmall
            textAlign: TextAlign.Left
        },
        TextStyleDefinition {
            id: subtitleText
            color: Color.create(FontSecondaryColor)
            fontSize: FontSize.XXSmall
            textAlign: TextAlign.Left
        },
        TextStyleDefinition {
            id: priceText
            color: Color.create(FontSecondaryColor)     
            fontSize: FontSize.XXSmall
            textAlign: TextAlign.Left
        }
    ]    
    
    id: contentListItem
    objectName: "contentListItem"
    property string name: "Name"
    property string subtitle: ""
    property string price: ""
    property int rating: -1
    property string listid: "0" //jwillis
    property string imageSource: "asset:///images/loading_placeholder.amd"

    property int screenWidth: 768
    property int divide: 4
    property int width: screenWidth / divide
    property int iconWidth: width * (DisplayIsHD ? 0.55 : 0.78) //for now leave the non HD Grid Layout alone.
    property int iconHeight: iconWidth;
    
    property int height: width * 1.14
            
    //preferredWidth: width;
    //minWidth: width;
    //maxWidth: width;
    
    minHeight: height;
    property bool aspectBoxArt: false
        
    onAspectBoxArtChanged: {
        if(aspectBoxArt){
            iconHeight = iconWidth * 1.36
            height = width * 1.42
            icon.scalingMethod = ScalingMethod.AspectFill
        }else{
            iconHeight = iconWidth;
            height = width * 1.14
            icon.scalingMethod = ScalingMethod.AspectFit

        }        
    }
    
    layout: DockLayout {
    }
    property variant selectedColor: Color.create("#E400A8DF")
    property bool selected: false
    onSelectedChanged: {
        if (selected) {
            background = selectedColor;
        } else {
            resetBackground();
        }
    }
    Container {
        objectName: "item-" + contentListItem.name + "-" + contentListItem.subtitle + "-"
        preferredWidth: width
        maxWidth: width
        minWidth: width

        topPadding: 20
        bottomPadding: 30
        
        accessibility {		
			name: contentListItem.name + " : " + contentListItem.subtitle
		}

        ImageView {
            id: icon
            objectName: "icon"
            imageSource: contentListItem.imageSource
            preferredWidth: contentListItem.iconWidth
            minWidth: contentListItem.iconWidth
            
            preferredHeight: contentListItem.iconHeight
            minHeight: contentListItem.iconHeight
            
            bottomMargin: 10
            horizontalAlignment: HorizontalAlignment.Center
            attachedObjects: [
                ImplicitAnimationController {
                    enabled: false
                }
            ]
            scalingMethod: ScalingMethod.AspectFit
            accessibilityMode: A11yMode.Collapsed
        }
        Container {
            leftPadding: (width - contentListItem.iconWidth) / 2
        
	        Label {
	            maxWidth: contentListItem.iconWidth + 20
	            verticalAlignment: VerticalAlignment.Center
	            horizontalAlignment: HorizontalAlignment.Left
	            topMargin: 0
	            bottomMargin: 0
	            objectName: "name"
	            visible: text.length > 0
	            id: name
	            text: contentListItem.name
	            textStyle.base: titleText.style
	            multiline: true 
	            autoSize.maxLineCount: 2
				accessibilityMode: A11yMode.Collapsed
	        }
	        Label {
	            maxWidth: contentListItem.iconWidth + 20
	            verticalAlignment: VerticalAlignment.Center
	            horizontalAlignment: HorizontalAlignment.Left
	            visible: text.length > 0
	            topMargin: 0
	            bottomMargin: 0
	            objectName: "subtitle"
	            textStyle.base: subtitleText.style
	
	            id: description
	            text: contentListItem.subtitle
	            multiline: false 
	//            autoSize.maxLineCount: 2
				accessibilityMode: A11yMode.Collapsed
	        }
	        Label {
	            maxWidth: contentListItem.iconWidth + 20
	            verticalAlignment: VerticalAlignment.Center
	            horizontalAlignment: HorizontalAlignment.Left
	            visible: text.length > 0
	            topMargin: 0
	            bottomMargin: 0
	            objectName: "price"
	            textStyle.base: priceText.style
	            
	            id: price
	            text: contentListItem.price
	            multiline: false 
	            //            autoSize.maxLineCount: 2
	            accessibilityMode: A11yMode.Collapsed
	        }
    }
    }
}
