import bb.cascades 1.2

Container {
    id: downloadListItem
    objectName: "downloadListItem"

    maxHeight: 130
    topPadding: 10
    bottomPadding: 10

    minHeight: maxHeight
    preferredHeight: maxHeight

    property alias leftBottomLabel: bottomLabelLeft.text
    property alias rightBottomLabel: bottomLabelRight.text

    property alias currentProgress: progress.value

    property string leftButtonName: qsTr("Pause") + Retranslate.onLanguageChanged
    property string rightButtonName: qsTr("Resume") + Retranslate.onLanguageChanged

    property bool iconVisible: false
    property string name: ""

    /**
     * How to use this QML:
     * Use a controller class written in C++.
     * -Use Find Child to locate controls.
     * -Use set text of the topLabel and bottomLabelLeft (and bottomLabelRight if needed, it is not visible by default)
     */

    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }

    leftPadding: 10
    rightPadding: 20

    Container {
        topPadding: 4
        leftPadding: 10

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }

        accessibility: CustomA11yObject {
            role: A11yRole.Status
            name: Math.floor(progress.value / progress.toValue * 100) + "%" +  " : " + bottomLabelLeft.text + " : " + bottomLabelRight.text
        }

        ProgressIndicator {
            preferredWidth: maxWidth
            id: progress
            objectName: "progress"
            visible: true
            fromValue: 0.0
            value: 0
            toValue: 100.0
            bottomMargin: 10
            accessibilityMode: A11yMode.Collapsed
        }

        Container {
            rightPadding: 4
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Fill
            accessibilityMode: A11yMode.Collapsed

            Label {
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Top
                id: bottomLabelLeft
                objectName: "bottomLabelLeft"

                textStyle {
                    fontSize: FontSize.Small
                    color: Color.create(FontSecondaryColor)
                }
            }

            Label {
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                id: bottomLabelRight
                objectName: "bottomLabelRight"
                visible: text.length > 0

                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Top

                textStyle {
                    color: Color.create(FontSecondaryColor)
                    textAlign: TextAlign.Right
                    fontSize: FontSize.Small
                }
            }
        }
    }
}
