import bb.cascades 1.2
Container {
    id: downloadListItem
    objectName: "downloadListItem"

    property string contentImageSource: "asset:///images/loading_placeholder.amd" //"tmp/dvd-cover"
    //property string contentImageSource: "asset:///images/tmp/dvd-cover"
    property string leftImageSource: "asset:///images/action_icons/ic_pause.png"
    property string rightImageSource: "asset:///images/action_icons/ic_resume.png"
    property string leftBottomLabel: ""
    property string rightBottomLabel: ""
    property string name: ""
    property bool nameVisible: true
     
    property string leftButtonName: qsTr("Pause")
    property string rightButtonName: qsTr("Resume")
        
    signal leftClicked
    signal rightClicked
    signal openClicked
    Container {
        /**
         * How to use this QML:
         * Use a controller class written in C++.
         * -Use Find Child to locate controls.
         * -Use set text of the topLabel and bottomLabelLeft (and bottomLabelRight if needed, it is not visible by default)
         * -Set the Image Source of the leftButton and rightButton to represent the appropriate action.
         * -Set the visiblility of leftButton and rightButtonContainer to represent the appropriate actions visible in the
         * present state.
         * -Set the visiblility of launchButtonContainer to represent the appropriate visual state.
         * -Set the text of the launchButton to a localized string.
         * -Connect the touch signals from the buttons to the appropriate slot on your controller.
         *
         */
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        leftPadding: 10
        rightPadding: 20
        Container {
            minWidth: 130
            preferredWidth: minWidth
            ImageView {
                minHeight: 111
                preferredHeight: minHeight
                id: icon
                objectName: "icon"
                imageSource: downloadListItem.contentImageSource
                scalingMethod: ScalingMethod.AspectFit
                layoutProperties: StackLayoutProperties {
                    //spaceQuota: -1
                }
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center
				accessibilityMode: A11yMode.Collapsed
            }
            verticalAlignment: VerticalAlignment.Center
            
        }
        Container {            
            topPadding: 5
            bottomPadding: 5
            
            leftPadding: 10
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            
            accessibility: CustomA11yObject {
		        role: A11yRole.ProgressBar
		        name: Math.floor(progress.value / progress.toValue * 100) + "% : " + downloadListItem.name   
		        description: bottomLabelLeft.text + " : " + bottomLabelRight.text
	    	}
            
            Label {
                visible: nameVisible
                id: topLabel
                objectName: "topLabel"
                text: downloadListItem.name
                textStyle {
                    base: SystemDefaults.TextStyles.BodyText
                }
                bottomMargin: 8
				accessibilityMode: A11yMode.Collapsed
            }
            ProgressIndicator {           
                id: progress
                objectName: "progress"
                visible: true
                topMargin: 0
                bottomMargin: 8
                fromValue: 0.0
                toValue: 100.0
				accessibilityMode: A11yMode.Collapsed
            }
            Container {
                layout: StackLayout {
                    //orientation: LayoutOrientation.LeftToRight
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Fill
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
				accessibilityMode: A11yMode.Collapsed
                Label {
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Top
                    id: bottomLabelLeft
                    objectName: "bottomLabelLeft"
                    text: downloadListItem.leftBottomLabel
                    textStyle {
                        base: SystemDefaults.TextStyles.SubtitleText
                        color: Color.Gray
                    }
                }
                Label {
                    id: bottomLabelRight
                    objectName: "bottomLabelRight"
                    visible: text.length > 0
                 
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Top
                    text: downloadListItem.rightBottomLabel
                    textStyle {
                        base: SystemDefaults.TextStyles.SubtitleText
                        color: Color.Gray
                        textAlign: TextAlign.Right
                    }                    
                }                
            }
        }
        
        ImageButton {            
            visible: true
            id: leftButton
            objectName: "leftButton"
            defaultImageSource: downloadListItem.leftImageSource            
            disabledImageSource: downloadListItem.leftImageSource
            minWidth: 94
            minHeight: 94
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
            onClicked: {
                downloadListItem.leftClicked();
            }
            accessibility.name: leftButtonName
            accessibility.description: downloadListItem.name
        }
        ImageButton {
            visible: false
            minWidth: 94
            minHeight: 94
            id: rightButton
            objectName: "rightButton"
            defaultImageSource: downloadListItem.rightImageSource
            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Center
            onClicked: {
                downloadListItem.rightClicked();
            }
            accessibility.name: leftButtonName
            accessibility.description: downloadListItem.name
        }
        Button{
            visible: false
            id: openButton
            objectName: "openButton"
            text: qsTr("Open");
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Right
            preferredWidth: 94
//            layoutProperties: StackLayoutProperties {
//                spaceQuota: 1
//            }
            onClicked: {
                openClicked();
            }
        }
    }
}