import bb.cascades 1.2

Container {
    id: downloadStatus
    objectName: "downloadStatus"
    minHeight: 86
    preferredHeight: minHeight
    maxHeight: minHeight
    
    accessibility: CustomA11yObject {
        role: A11yRole.Status
        name: status.text

		ComponentA11ySpecialization {
	        onActivationRequested: {
	            if (event.type == A11yComponentActivationType.Tap) {
	                downloadStatus.clicked();
	            }
	        }
	    }
	}
    
    onTouch: {
        if (event.isUp()) {
            clicked();
        }
    }
    signal clicked()
    horizontalAlignment: HorizontalAlignment.Fill
    
    Container {        
        horizontalAlignment: HorizontalAlignment.Fill
        leftPadding: 10
        rightPadding: 10
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        accessibilityMode: A11yMode.Collapsed 
        
        ImageView {
            imageSource: ("asset:///images/action_icons/ic_downloads.png")
        }
        Label {
            text: "Some other downloads"
            id: status
            objectName: "status"
            textStyle {
                base: SystemDefaults.TextStyles.BodyText
                //color: Color.White
            }
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
        }
		ActivityIndicator {
		    id: indicator
		    objectName: "indicator"
		    horizontalAlignment: HorizontalAlignment.Right
		    verticalAlignment: VerticalAlignment.Center
		}
    }
}
