import bb.cascades 1.2

Container {
    id: episode
    objectName: "episode"
    property alias displayname: displayname.text
    property alias subtitle: subtitle.text
    property alias description: description.text
    property string price: ""
    property bool purchased: false
    layout: DockLayout {
    }
    attachedObjects: [
        TextStyleDefinition {
            id: titleText
            fontSize: FontSize.Medium
        },
        TextStyleDefinition {
            id: subtitleText
            color: Color.create(FontSecondaryColor)
            fontSize: FontSize.Small
        }
    ]
    Container {
        objectName:"item-" + episode.displayname + "-"
        topPadding: 10
        leftPadding: 20
        rightPadding: 20
        bottomPadding: 20
        Container {
            horizontalAlignment: HorizontalAlignment.Center
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            Container {
                verticalAlignment: VerticalAlignment.Fill
                Label {
                    id: displayname
                    //text: "1. Name"
                    bottomMargin: 6
                    textStyle.base: titleText.style
                }
                Container {
                    visible: contentRatingImage.visible | subtitle.visible
                    layout: StackLayout {
                        orientation: LayoutOrientation.LeftToRight
                    }
                    Label {
                        id: subtitle
                        //text: "Running Time: 2:00"
                        visible: text.length > 0
                        topMargin: 6
                        bottomMargin: 6
                        textStyle.base: subtitleText.style
                        verticalAlignment: VerticalAlignment.Center
                        
                    }
                    ImageView {
                        id: contentRatingImage
                        objectName: "contentRatingImage"
                        scalingMethod: ScalingMethod.AspectFit
                        preferredHeight: 32
                        visible: false
                        verticalAlignment: VerticalAlignment.Bottom
                        
                        accessibilityMode: A11yMode.Collapsed
                    }
                    verticalAlignment: VerticalAlignment.Bottom
                }
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
            }
            Container {
                layout: DockLayout {
                }
                visible: downloadIndicator.visible | onDeviceIcon.visible
                minWidth: 112
                verticalAlignment: VerticalAlignment.Fill
                ActivityIndicator {
                    id: downloadIndicator
                    objectName: "downloadIndicator"
                    visible: false
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Center
                }
                ImageView {
                    id: onDeviceIcon
                    objectName: "onDeviceIcon"
                    imageSource: "asset:///images/action_icons/ic_done.png"
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    visible: false
                }
            }
            Button {
                id: purchaseButton
                objectName: "purchaseButton"
                text: purchased ? "" : price
                imageSource: purchased ? "asset:///images/action_icons/ic_download.png" : ""
                verticalAlignment: VerticalAlignment.Top
                horizontalAlignment: HorizontalAlignment.Right
                preferredWidth: 112
                //maxHeight: 20                
            }
        }
        Label {
            id: description
            //text: "description"
            topMargin: 6
            multiline: true
            textStyle.base: subtitleText.style
        }
    }
}
