import bb.cascades 1.4

Container {
    id: expanderLabel
    property alias text: textLabel.text
    
    property int maxLines: -1
    
    signal collapsed()
    
    onMaxLinesChanged: {
        if (maxLines > -1) {
            textLabel.autoSize.maxLineCount = maxLines
        } else {
            textLabel.autoSize.resetMaxLineCount();
        }
    }
    
    navigation {
        focusPolicy: NavigationFocusPolicy.NotFocusable
        defaultHighlightEnabled: false
    }
    
    layout: StackLayout {
    }
    Container {
        leftPadding: 20
        //bottomPadding: 20
        rightPadding: 20
        topPadding: 20
        Label {
            id: textLabel
            objectName: "textLabel"
            
            bottomMargin: 0
            multiline: true
            content.flags: TextContentFlag.ActiveText
            textFormat: TextFormat.Html
            //text: '<html><head><style>a:link{color:#ff00a8df;text-decoration:none;font-weight:500} body{font-size:7.8} span.[prefix]{font-size: 7.4;color: grey;font-weight:300}</style></head><body><span style="prefix">File Size:</span> {client:filesize}<br/><span style="prefix">Current Price:</span> {price.countryorcarrier.2}<br/>This application has items for sale<br/><span style="prefix">Category:</span> <a href="appworld://categorypage/1">Games</a> | <a href="appworld://categorypage/99">Puzzles</a><br/></body></html>'
            navigation {
                focusPolicy: NavigationFocusPolicy.Focusable
                defaultHighlightEnabled: false
            }
        }
        //background: Color.Red
        horizontalAlignment: HorizontalAlignment.Fill
    }
    horizontalAlignment: HorizontalAlignment.Fill
    
    Container {
        implicitLayoutAnimationsEnabled: false
        
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        ImageView {
            id: arrow
            imageSource: "asset:///images/cs_down_pressed.png"
            verticalAlignment: VerticalAlignment.Center
        }
        Label {
            id: toggleLabel
            text: qsTr("More")
            textStyle.color: Color.create("#ff00a8df")
            //textStyle.fontWeight: FontWeight.Bold
            textStyle.fontSize: FontSize.Medium
            implicitLayoutAnimationsEnabled: false
            leftMargin: 8
            navigation.focusPolicy: NavigationFocusPolicy.Focusable
        }
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Bottom
        visible: maxLines > -1
        gestureHandlers: [
            TapHandler {
                onTapped: {
                    if (textLabel.autoSize.maxLineCount == maxLines) {
                        //toggleArrow.rotationZ = -90
                        toggleLabel.text = qsTr("Less")
                        arrow.rotationZ = 180
                        textLabel.autoSize.resetMaxLineCount();
                    } else {
                        //toggleArrow.rotationZ = 90
                        toggleLabel.text = qsTr("More")
                        expanderLabel.collapsed();
                        textLabel.autoSize.maxLineCount = maxLines;
                        arrow.rotationZ = 0
                    }
                }
            }
        ]
    }
    bottomPadding: 20
}
