import bb.cascades 1.2

Page {
    titleBar: TitleBar {
        title: qsTr("General Settings", "Title for the General Settings Page")
    }
    content: Container {
        background: {
            bgpaint.imagePaint
        }
        attachedObjects: [
            ImagePaintDefinition {
                id: bgpaint
                repeatPattern: RepeatPattern.XY
                imageSource: "asset:///images/background_details.amd"
            }
        ]
        topPadding: 20
        bottomPadding: 20
        ScrollView {
            scrollViewProperties {
                scrollMode: ScrollMode.Vertical
            }
            Container {
                
                SettingsToggleRow {
                    id: saveToSDCard
                    objectName: "saveToSDCardSetting"
                    on: true
                    title: qsTr("Save to Memory Card")
                    description: qsTr("Automatically save all Music and Video downloads to your memory card.")
                }
                
                SettingsToggleRow {
                    id: privateBrowsing
                    objectName: "privateBrowsing"
                    on: false
                    title: qsTr("Private Browsing")
                    description: qsTr("When private browsing is on, your recent searches won't appear on the Search screen and recently viewed items won't appear on the My World screen.")
                }

// TODO Re-enable me when server dependencies are ready
//                SettingsToggleRow {
//                    id: rentalPeriodWarning
//                    objectName: "rentalPeriodWarning"
//                    on: false
//                    // TODO PLACEHOLDER
//                    title: qsTr("Rental Period Prompt") 
//                    // TODO PLACEHOLDER
//                    description: qsTr("Prompt me when I'm about to start my rental period.")
//                }

				Button {
				    id: clearCache
				    objectName: "clearCacheButton"
				    text: qsTr("Refresh BlackBerry World", "Button label to refresh")
				    horizontalAlignment: HorizontalAlignment.Center
				}
				
				
//                SettingsToggleRow {
//                    id: downloadNotificationSetting
//                    objectName: "downloadNotificationSetting"
//                    on: true
//                    title: qsTr("Download Notifications")
//                    description: qsTr("Show a pop up notification when a download completes.")
//                }
                
                Container {
                    Header{
                        title: "Beta Settings"
                    }
                    visible: false
                    id: betaSettings
                    objectName: "betaSettings"
                    Divider {
                    }
                    SettingsToggleRow {
                        id: settingLightThemeExpander
                        objectName: "settingLightThemeExpander"
                        on: false
                        title: "Light Theme 'Expander'"
                        description: "Use light theme expander image instead of dark one."
                    }
                    SettingsToggleRow {
                        id: settingDoubleGrid
                        objectName: "settingDoubleGrid"
                        on: false
                        title: "Double Grid"
                        description: "Use the hacked up double grid"
                    }
                }
            }
        }
    }
}
