import bb.cascades 1.2

Container {
    property int height: 474
    property int width: 474 * 1.62
    
    id: card
    objectName: "card"
    layout: DockLayout {}
    
    preferredHeight: height
    maxHeight: height
    minHeight: height
    preferredWidth: width
    maxWidth: width
    minWidth: width
    
    leftPadding: 0
    rightPadding: 0
    topPadding: 0
    bottomPadding: 0
    background: Color.Black
    
    horizontalAlignment: HorizontalAlignment.Center
    
    accessibilityMode: A11yMode.Collapsed
    
	ImageView {
		id: imageViewID
		objectName: "imageview"
		imageSource: card.imageSource
		scalingMethod: ScalingMethod.AspectFill
		bottomMargin: 0
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Fill
		visible: false
	}
	
	// TODO: If we need to do this for each Card type, how about make a custom qml card container?
	ImageView {
		id: borderOverlay
		objectName: "borderOverlay"
		imageSource: "asset:///images/borderOverlay.png";
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		scalingMethod: ScalingMethod.Fill
		visible: imageViewID.visible
		minHeight: height
		minWidth: width
	}
	
	Container {
		id: fadeOverlay
		objectName: "fadeOverlay"
		background: Color.Black
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		visible: imageViewID.visible
		minHeight: height
		minWidth: width
	}
}
