import bb.cascades 1.4

Container {
    property int height: 474
    property int width: 474 * 1.62
    
    id: card
    objectName: "card"
    layout: DockLayout {
    }

    preferredHeight: height
    maxHeight: height
    minHeight: height
    preferredWidth: width
    maxWidth: width
    minWidth: width

    leftPadding: 0
    rightPadding: 0
    topPadding: 0
    bottomPadding: 0
    background: Color.Black

    horizontalAlignment: HorizontalAlignment.Center

    accessibilityMode: A11yMode.Collapsed

	ImageView {
		id: imageViewID
		objectName: "imageview"
		imageSource: card.imageSource
		minHeight: height - card.bottomPadding - card.topPadding
		scalingMethod: ScalingMethod.AspectFit
		bottomMargin: 0
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		visible: false
	}

	// TODO: If we need to do this for each Card type, how about make a custom qml card container?
	ImageView {
		id: borderOverlay
		objectName: "borderOverlay"
		imageSource: "asset:///images/borderOverlay.png"
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		scalingMethod: ScalingMethod.Fill
		visible: imageViewID.visible
	}

	Container {
		id: fadeOverlay
		objectName: "fadeOverlay"
		background: Color.Black
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		visible: imageViewID.visible
	}
	
	effects: [
		FocusHighlightEffect {
			enabled: card.navigation.wantsHighlight
			baseColor: ui.palette.primaryDark
			style: FocusHighlightEffectStyle.LinearGradient
		}
	]	
}
