import bb.cascades 1.4

Container {
    property int height: 474
    property int width: 474 * 1.62

    id: card
    objectName: "card"
    layout: DockLayout {
    }

    preferredHeight: height
    maxHeight: height
    minHeight: height
    preferredWidth: width
    maxWidth: width
    minWidth: width

    leftPadding: 0
    rightPadding: 0
    topPadding: 0
    bottomPadding: 0
    background: Color.Black

    horizontalAlignment: HorizontalAlignment.Center

    accessibilityMode: A11yMode.Collapsed

    property string title: "name.text"
    property string description: "blah blah blah blah blah blah blah blah blah blah jldsjkf jklsdjf ljfl dskljdklfjskljafs kljd klasjfk jfsjfalk jklsdajfdkljfas jf;djfklasd jfkldajfkl"

	Container {
		layout: StackLayout {
			orientation: LayoutOrientation.LeftToRight
		}

		ImageView {
			id: imageViewID
			objectName: "imageview"
			imageSource: "asset:///images/loading_placeholder_carousel_[210x287].png"
			//imageSource: "asset:///test_assets/album_350.jpg"
			//minHeight: height - card.bottomPadding - card.topPadding
			preferredHeight: card.height
			//preferredWidth: card.height * 0.73
			scalingMethod: ScalingMethod.AspectFit
			bottomMargin: 0
			horizontalAlignment: HorizontalAlignment.Left
			verticalAlignment: VerticalAlignment.Center
			visible: true
			rightMargin: 0
			implicitLayoutAnimationsEnabled: false
		}
		implicitLayoutAnimationsEnabled: false

		Container {
			minWidth: 1
			background: Color.DarkGray
			horizontalAlignment: HorizontalAlignment.Left
			verticalAlignment: VerticalAlignment.Center

			preferredHeight: height
		}
		Container {
			layoutProperties: StackLayoutProperties {
				spaceQuota: 1
			}
			verticalAlignment: VerticalAlignment.Center
			//background: Color.create("#BB000000")
			horizontalAlignment: HorizontalAlignment.Fill
			layout: StackLayout {
				orientation: LayoutOrientation.TopToBottom
			}
			Label {
				id: title
				text: card.title
				textStyle.color: Color.White
				verticalAlignment: VerticalAlignment.Center
				layoutProperties: StackLayoutProperties {
				}
				textStyle.fontWeight: FontWeight.W300
				multiline: true
				textFit.mode: LabelTextFitMode.FitToBounds
				textFit.maxFontSizeValue: 7
				textFit.minFontSizeValue: 4
				bottomMargin: 0

			}
			Label {
				topMargin: 0
				id: description
				text: card.description
				textStyle.color: Color.LightGray
				verticalAlignment: VerticalAlignment.Center
				textStyle.fontWeight: FontWeight.W300
				multiline: true
				textFit.mode: LabelTextFitMode.FitToBounds
				textFit.maxFontSizeValue: 6
				textFit.minFontSizeValue: 4
				layoutProperties: StackLayoutProperties {
					spaceQuota: 1
				}
			}
			leftPadding: 12
			rightPadding: 12
			topPadding: 12
			bottomPadding: 12
		}

	}
	ImageView {
		id: borderOverlay
		objectName: "borderOverlay"
		imageSource: "asset:///images/borderOverlay.png"
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		scalingMethod: ScalingMethod.Fill
		preferredWidth: card.width
		preferredHeight: card.height
		//visible: imageViewID.visible
		visible: false
	}

	Container {
		id: fadeOverlay
		objectName: "fadeOverlay"
		background: Color.Black
		horizontalAlignment: HorizontalAlignment.Center
		verticalAlignment: VerticalAlignment.Center
		preferredWidth: card.width
		preferredHeight: card.height
		//visible: false
		visible: imageViewID.visible
	}

	effects: [
		FocusHighlightEffect {
			enabled: card.navigation.wantsHighlight
			baseColor: ui.palette.primaryDark
			style: FocusHighlightEffectStyle.LinearGradient
		}
	]
}
