import bb.cascades 1.2
import StoreComponents 1.0

Page {
    objectName: "MyWorldScreen" //jwillis

    Container {
        layout: DockLayout {
        }
        Container {
            topPadding: 20 + (DisplayAspectSquare ? StackIconWidth : 0)
            leftPadding: 20
            rightPadding: 20
            bottomPadding: 20
            
            preferredWidth: NoContentImageSize * 3
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            ImageView {
                id: messageImage
                objectName: "messageImage"            
                imageSource: "asset:///images/cs_nc_music.png"
                horizontalAlignment: HorizontalAlignment.Center
                preferredHeight: NoContentImageSize
                preferredWidth: NoContentImageSize
                scalingMethod: ScalingMethod.AspectFit
            }
            Label {
                maxWidth: NoContentImageSize * 3
                textStyle {                            
                    //color: Color.White
                    fontSize: FontSize.Medium
                    textAlign: TextAlign.Center
                    fontWeight: FontWeight.W400
                }
                multiline: true
                id: messageArea
                objectName: "messageArea"
                visible: text.length > 0
                //text: "Critical BBID error"
                horizontalAlignment: HorizontalAlignment.Center
            }
            visible: messageArea.visible
        }
        
        Container{
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            verticalAlignment: VerticalAlignment.Bottom
            horizontalAlignment: HorizontalAlignment.Fill
            topPadding: 30
            leftPadding: 30
            rightPadding: 30
            bottomPadding: 30
            Label {
                text: qsTr("Loading")
                textStyle.fontSize: FontSize.Small
                textStyle.textAlign: TextAlign.Left
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }                
            }
            ActivityIndicator {
                verticalAlignment: VerticalAlignment.Center
                horizontalAlignment: HorizontalAlignment.Center
                id: listLoadingIndicator
                objectName: "listLoadingIndicator"
                visible: false
                onStopped: {
                    visible = false
                }
            }
            visible: listLoadingIndicator.visible
        }
        
        Container {
            objectName: "mainContainer"
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            Container {
                visible: segmentedControl.visible
                layout: DockLayout {
                }
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                topPadding: 20
                bottomPadding: 20
                SegmentedDropdown {
                    enabled: false
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    id: segmentedControl
                    objectName: "segmentedControl"
                }
            }
			ListView {
                id: listView
                objectName: "listView"
            }

        }
       
    }
}
