import bb.cascades 1.2

Page {
    id: networkLimitsPage
    objectName: "networkLimitsPage"
    signal wifiClicked(bool value)
    signal roamingClicked(bool value)
    signal pcClicked(bool value)
    signal pcLaunched()
    
    titleBar: TitleBar {
        objectName: "networkLimitsTitleBar"
        title: qsTr("Network and Data Limits", "Title for the Network & Data Limits sheet")
    }
    
    ScrollView {

        Container {
            id: mainContainer
            objectName: "mainContainer"
            property string wlanStr;//: "Wi-Fi"
            background: {
                bgpaint.imagePaint
            }
            attachedObjects: [
                ImagePaintDefinition {
                    id: bgpaint
                    repeatPattern: RepeatPattern.XY
                    imageSource: "asset:///images/background_details.amd"
                }
            ]
            Container {
                topPadding: 20
                leftPadding: 20
                rightPadding: 20
                bottomPadding: 20
                Label {
                    objectName: "descirption"
                    text: qsTr("If you're concerned about your wireless data usage, you can choose to download items over a %1 network only.").arg(mainContainer.wlanStr)
                    multiline: true
                    bottomMargin: 40
                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
                    }
                }
            }

            Divider {
            }

            SettingsToggleRow {
                id: wifiOnlySetting
                objectName: "wifiOnlySetting"
                title: qsTr("Use %1 Only").arg(mainContainer.wlanStr)
            }

            SettingsToggleRow {
                objectName: "overrideMobileDataLimitSetting"
                title: qsTr("Download Large Items Over the Mobile Network");
                visible: false
                enabled: !wifiOnlySetting.on
            }
        }
    }
}
