import bb.cascades 1.4

Container {
     
    property int screenwidth: 768
    attachedObjects: [
        ImagePaintDefinition {
            id: titleBarTile
            imageSource: "asset:///images/titlebarTile.png"
        }
    ]
    
    topMargin: 0
    bottomMargin: 0
    layoutProperties: StackLayoutProperties {
        spaceQuota: 1
    }
    
    navigation {
        focusPolicy: NavigationFocusPolicy.NotFocusable
        defaultHighlightEnabled: false
    }
    
    Container {
        visible: title.visible || icon.visible
        id: header
        objectName: "header"
                
        //preferredHeight: 128
        //maxHeight: 128
        //minHeight: 128
        layout: DockLayout {            
        }
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: HorizontalAlignment.Fill
        background: titleBarTile.imagePaint
        Container {    
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            leftPadding: 20
            rightPadding: 20
            topPadding: 20
            bottomPadding: 20
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            ImageView {
                visible: imageSource.length > 0
                id: icon
                objectName: "icon"                
                verticalAlignment: VerticalAlignment.Center
                preferredHeight: 80
                scalingMethod: ScalingMethod.AspectFit
                topMargin: 0
                bottomMargin: 0
            }
            Label {
                visible: text.length > 0
                id: title
                objectName: "title"
                //text: "title"
                textStyle {
                    //color: Color.White
                    fontWeight: FontWeight.Bold
                    base: SystemDefaults.TextStyles.TitleText
                }
                verticalAlignment: VerticalAlignment.Center
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }                
            }
        }
    }
    ImageView {
        horizontalAlignment: HorizontalAlignment.Fill
        visible: false
        id: banner
        objectName: "banner"
        topMargin: 0
        bottomMargin: 0
        scalingMethod: ScalingMethod.AspectFit
        preferredWidth: screenwidth
        minWidth: screenwidth
        preferredHeight: screenwidth / 3
    }
    ImageView {
        visible: false
        topMargin: 0
        bottomMargin: 0
        id: carousel
        objectName: "carousel"
        
        scalingMethod: ScalingMethod.AspectFit
        preferredWidth: screenwidth
        minWidth: screenwidth
        preferredHeight: screenwidth / 1.62
    }
    Container {
        visible: description.visible
        
        topPadding: 10
        leftPadding: 20
        rightPadding: 20
        bottomPadding: 20
        
        Label {
            visible: text.length > 0
            id: description
            objectName: "description"
            multiline: true
            //text: "Vegan vinyl occupy, beard \nsustainable selvage bicycle rights whatever post-ironic PBR wolf. Iphone VHS street art narwhal, scenester hoodie single-origin coffee. Squid synth flexitarian, food truck keffiyeh small batch mustache truffaut pitchfork high life banksy art party farm-to-table wayfarers letterpress. Cosby sweater vegan master cleanse banh mi kogi. Occupy organic umami retro, leggings freegan iphone typewriter single-origin coffee wes anderson. Hella butcher artisan, swag occupy tofu fingerstache marfa tumblr wayfarers. Cray VHS single-origin coffee artisan."
            textStyle {
                //color: Color.White
                base: SystemDefaults.TextStyles.BodyText
            }            
        }
    }
}
