import bb.cascades 1.2

Container {
    Divider {
        bottomMargin: 0
        topMargin: 0
    }
    
    id: reviewItem
    objectName: "reviewItem"
    property string title: ""
    property string body: ""
    property string nickName: ""
    property string packageVersion: ""
    property string dateString: ""
    property int rating: -1
    
    Container {        
        topPadding: 20
        bottomPadding: 20
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        leftPadding: 15
        rightPadding: 10
        horizontalAlignment: HorizontalAlignment.Fill 
        accessibility.name: qsTr("%1 of 5 stars. %2. %3. %4. %5. Version: %6.").arg(rating/2).arg(title).arg(body).arg(nickName).arg(dateString).arg(packageVersion)
   
        Container {            
            objectName: "review-" + reviewItem.title + "-nick-" + reviewItem.nickName + "-" //jwillis            
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill        
        	accessibilityMode: A11yMode.Collapsed 
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }                
                Label {
                    text: reviewItem.title
                    objectName: "title" //jwillis
                    textStyle {
                        //color: Color.White
                        fontWeight: FontWeight.Bold
                        base: SystemDefaults.TextStyles.BodyText
                    }
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                }
                Label {
                    text: reviewItem.dateString
                    objectName: "date"
                    verticalAlignment: VerticalAlignment.Center
                    textStyle {
                        color: Color.DarkGray
                        base: SystemDefaults.TextStyles.SubtitleText
                    }
                }
            }
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }	            
                horizontalAlignment: HorizontalAlignment.Fill
                accessibilityMode: A11yMode.Collapsed 
                StarRating {
                    verticalAlignment: VerticalAlignment.Center
                    rating: reviewItem.rating                   
                    visible: true
                    id: starRating
                    objectName: "starRating"
                }
                Label {
                    verticalAlignment: VerticalAlignment.Center
                    horizontalAlignment: HorizontalAlignment.Right
                    text: reviewItem.nickName
                    objectName: "nickName" //jwillis                    
                    textStyle {
                        color: Color.create(FontSecondaryColor)
                        fontWeight: FontWeight.Normal
                        base: SystemDefaults.TextStyles.BodyText
                    }
                }
            }
            Label {
                text: reviewItem.body
                accessibilityMode: A11yMode.Collapsed 
                objectName: "body" //jwillis
                topMargin: 0
                bottomMargin: 0
                multiline: true
                textStyle {
                    //color: Color.White
                    base: SystemDefaults.TextStyles.BodyText
                }                
            }
            Label {
                topMargin: 0
                accessibilityMode: A11yMode.Collapsed 
                visible: reviewItem.packageVersion.length > 0
                text: qsTr("Version: %1").arg(reviewItem.packageVersion)
                objectName: "packageVersion"
                textStyle {
                    color: Color.DarkGray
					base: SystemDefaults.TextStyles.SubtitleText
                }                
            }
        }
    }    
}
