import bb.cascades 1.4

Page {
    objectName: "reviewOverlay" //brucewillis
    titleBar: TitleBar {
        objectName: "createReviewTitleBar"
        title: qsTr("Review", "Title for the Create Review sheet")
        dismissAction: ActionItem {
            title: qsTr("Cancel")
            objectName: "closeReview"
        }
        acceptAction: ActionItem {
            title: qsTr("Post", "Post action for Create Review Sheet")
            objectName: "postReview"
        }
    }
   
    content: Container {
        layout: DockLayout {}
        
        Container {
            id: main
            objectName: "main"
            background: {
                bgpaint.imagePaint
            }
            attachedObjects: [
                ImagePaintDefinition {
                    id: bgpaint
                    repeatPattern: RepeatPattern.XY
                    imageSource: "asset:///images/background_details.amd"
                }
            ]
            topPadding: 20
            leftPadding: 20
            rightPadding: 20
            bottomPadding: 20
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            ReviewStarRatings {
                id: starRatings
                objectName: "starRatings"
                horizontalAlignment: HorizontalAlignment.Center
                bottomMargin: 30
            }
            TextField {
                objectName: "reviewTitle"
                hintText: qsTr("Enter a Title for your review", "Hint text for input field")
            }
            TextArea {
                objectName: "reviewBody"
                hintText: qsTr("Enter your review", "Hint text for input field")
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
            }
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                Label {
                    id: screenName
                    objectName: "screenName"
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 9
                    }
                    verticalAlignment: VerticalAlignment.Center
                }
                Button {
                    id: editScreenNameButton
                    objectName: "editScreenNameButton"
                    imageSource: "asset:///images/action_icons/ic_edit.png"
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    accessibility.name: qsTr("Edit display name.")
                }
            }
            Label {
                objectName: "errorLabel"
                visible: false
                textStyle {
                    color: Color.Red
                    base: SystemDefaults.TextStyles.BodyText
                    fontWeight: FontWeight.Bold
                }
            }
        }
        Container {
            objectName: "spinnerContainer"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: DockLayout {}
            visible: false
            background: Color.Black
            opacity: 0.4
            
            ActivityIndicator {
                objectName: "spinner"
                preferredWidth: 200
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }
        }
    }
}