import bb.cascades 1.2

Container {
    id: root
    
    property alias title: title.text
    property alias description: description.text
    property alias on: toggle.checked
    
    signal checkedChanged(bool checked)
    
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        topPadding: 10
        bottomPadding: 10
        Container {

            leftPadding: 20
            rightPadding: 20
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            horizontalAlignment: HorizontalAlignment.Fill
            Container {
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                horizontalAlignment: HorizontalAlignment.Fill
                Label {
                    id: title
                    text: ""
                    multiline: true
                    textStyle {
                        textAlign: TextAlign.Left
                        base: SystemDefaults.TextStyles.TitleText
                    }
                    verticalAlignment: VerticalAlignment.Center
                    layoutProperties: StackLayoutProperties{
                        spaceQuota: 1
                    }
                }
                ToggleButton {
                    property alias parentObjectName: root.objectName
                    id: toggle
                    objectName: "toggle"
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Center
                    
                    onCheckedChanged: {
                        root.checkedChanged(checked);
                    }
                }
            }
            Label {
                id: description
                text: ""
                multiline: true
                textStyle {
                    base: SystemDefaults.TextStyles.SubtitleText
                    color: Color.create(FontSecondaryColor)
                }
            }
        }
    }
    Divider {
    }
}
