import bb.cascades 1.2

Container {
    id: ratings
    property int rating: -1
    property int reviewCount: -1
    property alias fontSize: labels.fontSize
    
    property string with_reviews: qsTr("%1 of 5 stars. %2 reviews.").arg(rating/2).arg(reviewCount)
	property string no_reviews: qsTr("No reviews.")                               
	accessibility.name: (rating > -1 ? with_reviews : no_reviews)
	
	rightPadding: 30
    
    attachedObjects: [
        TextStyleDefinition {
            id: labels
            color: Color.create(FontSecondaryColor)
            fontSize: FontSize.XSmall
        }        
    ]
    property int height: RatingIconHeight
    Label {
        text: qsTr ("No Reviews")
        visible: rating == -1
        textStyle.base: labels.style
        verticalAlignment: VerticalAlignment.Center
        accessibilityMode: A11yMode.Collapsed 
    }
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
    //preferredHeight: 26
    //minHeight: 26
    //maxHeight: 26
    ImageView {
        visible: rating > -1
        id: star1
        objectName: "star1"
        imageSource: "asset:///images/ii_stars_sm_inactive.png"
        leftMargin: 0
        //rightMargin: 3        
        verticalAlignment: VerticalAlignment.Center
        scalingMethod: ScalingMethod.AspectFit
        accessibilityMode: A11yMode.Collapsed 
        preferredHeight: height
    }
    ImageView {
        visible: rating > -1
        id: star2
        objectName: "star2"
        imageSource: "asset:///images/ii_stars_sm_inactive.png"
        //leftMargin: 3
        //rightMargin: 3
        verticalAlignment: VerticalAlignment.Center
        scalingMethod: ScalingMethod.AspectFit
        accessibilityMode: A11yMode.Collapsed 
        preferredHeight: height

    }
    ImageView {
        visible: rating > -1
        id: star3
        objectName: "star3"
        imageSource: "asset:///images/ii_stars_sm_inactive.png"
        //leftMargin: 3
        //rightMargin: 3
        verticalAlignment: VerticalAlignment.Center
        scalingMethod: ScalingMethod.AspectFit
        accessibilityMode: A11yMode.Collapsed 
        preferredHeight: height

    }
    ImageView {
        visible: rating > -1
        id: star4
        objectName: "star4"
        imageSource: "asset:///images/ii_stars_sm_inactive.png"
        //leftMargin: 3
        //rightMargin: 3
        verticalAlignment: VerticalAlignment.Center
        scalingMethod: ScalingMethod.AspectFit
        accessibilityMode: A11yMode.Collapsed 
        preferredHeight: height

    }
    ImageView {
        visible: rating > -1
        id: star5
        objectName: "star5"
        imageSource: "asset:///images/ii_stars_sm_inactive.png"
        //leftMargin: 3
        rightMargin: 0
        verticalAlignment: VerticalAlignment.Center
        scalingMethod: ScalingMethod.AspectFit
        accessibilityMode: A11yMode.Collapsed 
        preferredHeight: height

    }
    Label {
        verticalAlignment: VerticalAlignment.Center
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        visible: reviewCount > -1
        id: count
        objectName: "count"
        text: reviewCount + " "+ qsTr("Reviews");
        textStyle.base: labels.style
        leftMargin: 10
        rightMargin: 5
        accessibilityMode: A11yMode.Collapsed 
    }
	onRatingChanged: {
        if (rating == -1) {
            star1.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star2.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star3.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star4.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star5.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            visible = false;
            return;
        }
        visible = true;
        if (rating == 0) {
            star1.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star2.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star3.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star4.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star5.imageSource = "asset:///images/ii_stars_sm_inactive.png";
        } else if (rating == 1) {
            star1.imageSource = "asset:///images/ii_stars_sm_active_half.png";
            star2.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star3.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star4.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star5.imageSource = "asset:///images/ii_stars_sm_inactive.png";
        } else if (rating >= 2) {
            star1.imageSource = "asset:///images/ii_stars_sm_active.png";
        }
        if (rating == 3) {
            star2.imageSource = "asset:///images/ii_stars_sm_active_half.png";
            star3.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star4.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star5.imageSource = "asset:///images/ii_stars_sm_inactive.png";
        } else if (rating >= 4) {
            star2.imageSource = "asset:///images/ii_stars_sm_active.png";
        }
        if (rating == 5) {
            star3.imageSource = "asset:///images/ii_stars_sm_active_half.png";
            star4.imageSource = "asset:///images/ii_stars_sm_inactive.png";
            star5.imageSource = "asset:///images/ii_stars_sm_inactive.png";
        }
        if (rating >= 6) {
            star3.imageSource = "asset:///images/ii_stars_sm_active.png";
        }
        if (rating == 7) {
            star4.imageSource = "asset:///images/ii_stars_sm_active_half.png";
            star5.imageSource = "asset:///images/ii_stars_sm_inactive.png";
        }
        if (rating >= 8) {
            star4.imageSource = "asset:///images/ii_stars_sm_active.png";
        }
        if (rating == 9) {
            star5.imageSource = "asset:///images/ii_stars_sm_active_half.png";
        }
        if (rating == 10) {
            star5.imageSource = "asset:///images/ii_stars_sm_active.png";
        }
    }
}
