import bb.cascades 1.2

Container {
    property alias title: title.text
    property alias vendor: vendor.text
    property alias subtitle: subtitle.text
    property alias rating: starRating.rating 
    property bool showRating: true;
    property bool isSmallSquareScreen: false
    
    background: Color.Black
    layout: DockLayout { }
    
    ImageView {
        attachedObjects: [
            LayoutUpdateHandler {
                onLayoutFrameChanged: { // Keep 'er square.
                    carouselImage.maxHeight = carouselImage.minHeight = carouselImage.preferredHeight = layoutFrame.width;
                }
            }
        ]
        
        id: carouselImage
        objectName: "carouselImage"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        scalingMethod: ScalingMethod.Fill
    }
    
    Container {
        attachedObjects: [
            ImagePaintDefinition {
                id: bgpaint
                imageSource: "asset:///images/activeframe_text_bg.png"
                repeatPattern: RepeatPattern.X
            }
        ]
        
        background: bgpaint.imagePaint
        leftPadding: 15
        rightPadding: 15
        topPadding: 8
        bottomPadding: 8
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
        
        Label {
            id: title
            topMargin: 0
            bottomMargin: 0
            autoSize.maxLineCount: subtitle.visible || isSmallSquareScreen ? 1 : 2
            
            textStyle {
                color: Color.White
                fontSize: FontSize.Small   
            }            
        }
        
        Label {
            id: vendor
            topMargin: 0
            bottomMargin: 0
            visible: text.length > 0
            autoSize.maxLineCount: subtitle.visible || isSmallSquareScreen ? 1 : 2
            
            textStyle {
                color: Color.create("#969696");
                fontSize: FontSize.XSmall
            }
        }
        
        StarRating {
            id: starRating
            topMargin: 0
            bottomMargin: 6
            fontSize: FontSize.XSmall
            visible: showRating
        }
        
        Label {
            id: subtitle
            topMargin: 0
            bottomMargin: 0
            visible: !isSmallSquareScreen && text.length > 0
            autoSize.maxLineCount: vendor.visible ? 2 : 3
            
            textStyle {
                color: Color.create("#969696");
                fontSize: FontSize.XXSmall
                fontStyle: FontStyle.Italic
            }
        }
    }
}
