import bb.cascades 1.2

Container {
    id: storeSectionHeader
    topMargin: 0
    topPadding: 0
    property string title: "Title"
    property string subtitle;
    property alias expandable: arrow.visible
    

    Container {
        leftPadding: 10
        rightPadding: 20
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        Container {
            verticalAlignment: VerticalAlignment.Center

            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            
            Label {
                id: titleLabel
                text: storeSectionHeader.title
                verticalAlignment: VerticalAlignment.Center
                textStyle.lineHeight: 1.1
                
                textFormat: TextFormat.Html
                textStyle.fontSize: FontSize.Large
                visible: text.length > 0
                bottomMargin: 0
            }
            Label {
                id: subtitle
                topMargin: 0
                textStyle.fontSize: FontSize.XXSmall
                verticalAlignment: VerticalAlignment.Center
                visible: text.length > 0
                text: storeSectionHeader.subtitle
            }
        }
        
        ImageView {
            id: arrow
            verticalAlignment: VerticalAlignment.Center
            imageSource: "asset:///images/action_icons/ic_back.png"
            rotationZ: 180
            scalingMethod: ScalingMethod.AspectFit
            accessibility.labelledBy: titleLabel
            preferredHeight: DisplayIsHD ? 61 : 41
        }

        property int height: HeaderHeight
        maxHeight: height
        preferredHeight: height
        minHeight: height
        background: Color.create(CoreControlBackground) //black for Q10, white for Z10
    }
    
    Container {
        background: Color.create(CoreBlue)
        preferredHeight: 2 * (DisplayIsHD ? 3 : 1)
        preferredWidth: DisplayWidth
    }
}
