import bb.cascades 1.2

Container {
    id: subscription
    objectName: "subscription"
    property string titleText: "Friendly SKU in-app product name"
    property string subscriptionPrice: "$0.00 / 00 Days"
    property string subscriptionButtonText: qsTr("Unsubscribe")
    property bool isCancelled: false
    Container {
        objectName: "item-" + subscription.titleText + "-" //jwillis
        leftPadding: 20
        topPadding: 20
        bottomPadding: 20
        rightPadding: 20
        horizontalAlignment: HorizontalAlignment.Fill
        Label {
            text: subscription.titleText
            objectName: "name" //jwillis
            visible: text.length > 0 //subscription.titleText.length > 0
            textStyle.color: Color.create(FontSecondaryColor)
            textStyle.base: SystemDefaults.TextStyles.BodyText
            topMargin: 0
            bottomMargin: 0
        }
        Container {
            
            horizontalAlignment: HorizontalAlignment.Fill
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            Label {
                text: qsTr("Subscription Rate:")
                topMargin: 6
                bottomMargin: 6
                layoutProperties: StackLayoutProperties{
                	spaceQuota: 1
                }
            }
            Label {
                horizontalAlignment: HorizontalAlignment.Right
                id: subscriptionPriceLabel
                objectName: "price" //jwillis
                text: subscription.subscriptionPrice
                visible: subscription.subscriptionPrice.length > 0
                //textStyle.color: Color.White
                textStyle.textAlign: TextAlign.Right
                topMargin: 6
                bottomMargin: 6
            }
        }
        Label {
            text: qsTr("Subscription cancelled")
            objectName: "cancelled-" + isCancelled //jwillis
            visible: isCancelled
            topMargin: 6
            bottomMargin: 6
            horizontalAlignment: HorizontalAlignment.Right
        }
        Button {
            objectName: "unsubscribeButton"
            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Center
            visible: ! isCancelled
            text: subscriptionButtonText
        }
    }
    Divider {
        bottomMargin: 0
        topMargin: 0
    }
}
