import bb.cascades 1.2
import bb.cascades.pickers 1.0

Page {
    objectName: "testModePage"

    titleBar: TitleBar {
        title: qsTr("Development Mode", "Title for the Development Mode sheet")
    }

    attachedObjects: [
      FilePicker {
      id: filePicker
      objectName: "filePicker"
      title: "ClientAPI XML response file"
      //mode: FilePickerMode.Picker
      //viewMode: FilePickerViewMode.Default
      //sortBy: FilePickerSortFlag.Default
      //sortOrder: FilePickerSortOrder.Default
      directories: [ "/accounts/1000/shared/documents/bbworld/" ]
      }
      ]

    content: Container {
        id: mainContainer
        objectName: "mainContainer"
        background: {
            bgpaint.imagePaint
        }
        attachedObjects: [
            ImagePaintDefinition {
                id: bgpaint
                repeatPattern: RepeatPattern.XY
                imageSource: "asset:///images/background_details.amd"
            }
        ]
        ScrollView {
            content: Container {
                topPadding: 20
                leftPadding: 20
                rightPadding: 20
                bottomPadding: 20
                Label {
                    objectName: "reviewBody"
                    text: qsTr("Enter Content ID or SKU below to view your app in draft mode.")
                    multiline: true
                    bottomMargin: 40
                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
                    }
                }
                Label {
                    objectName: "contentid"
                    text: qsTr("Content ID")
                    bottomMargin: 0
                    textStyle {
                        base: SystemDefaults.TextStyles.BodyText
                    }
                }
                TextField {
                    id: contentNameField
                    objectName: "contentNameField"
                    hintText: qsTr("Content ID or SKU", "Search Hint Text, options of what user can type here.")
                    horizontalAlignment: HorizontalAlignment.Fill
                }
                Button {
                    id: searchButton
                    objectName: "loadButton"
                    text: qsTr("Test Content", "Button label to begin testing the requested content")
                    horizontalAlignment: HorizontalAlignment.Fill
                    onClicked: {
                        controller.open(contentNameField.text);
                    }
                }
            }
        }
    }
}
